> For the complete documentation index, see [llms.txt](https://docs.vysp.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vysp.ai/python-client/quick-setup-with-python-client-library.md).

# Quick Setup with Python Client Library

Getting started with the Python Client Library for VYSP API is straightforward. Follow these steps to set up the library in your project.

### Installation

First, install the library using pip:

```bash
pip install vysp-python
```

## Basic Usage

Here's a quick example to show you how to perform an input check using the library:

```python

from vysp import VYSPClient

# Initialize the client
client = VYSPClient(tenant_api_key='your_tenant_key', gate_api_key='your_gate_key')

prompt = 'What is VYSP.AI?'

# Perform an input check
input_response = client.check_input(client_ref_user_id='123', prompt=prompt)
print(response)

model_output = 'VYSP.AI is a product that allows you to configure AI guardrails easier.'

# Perform an output check
output_response = client.check_output(client_ref_user_id='123', prompt=prompt, model_output=model_output)
print(response)


```

Replace 'your\_tenant\_key' and 'your\_gate\_key' with your actual API keys.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vysp.ai/python-client/quick-setup-with-python-client-library.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
